;; This "home-environment" file can be passed to 'guix home reconfigure'
;; to reproduce the content of your profile.  This is "symbolic": it only
;; specifies package names.  To reproduce the exact same profile, you also
;; need to capture the channels being used, as returned by "guix describe".
;; See the "Replicating Guix" section in the manual.

(use-modules (gnu home)
             (gnu packages)
             (gnu services)
             (guix gexp)
             (gnu home services shells))

(home-environment
  ;; Below is the list of packages that will show up in your
  ;; Home profile, under ~/.guix-home/profile.
  (packages (specifications->packages (list "element-desktop"
                                            "emacs-next-pgtk-xwidgets"
                                            "nyxt"
                                            "gnome-tweaks"
                                            "calibre"
                                            "arc-theme"
                                            "nautilus"
                                            "thunar"
                                            "numix-gtk-theme"
                                            "wine64"
                                            "guile-goblins"
                                            "xdg-desktop-portal"
                                            "transmission:gui"
                                            "transmission"
                                            "nicotine+"
                                            "gammastep"
                                            "hyprland"
                                            "mako"
                                            "gimp-resynthesizer"
                                            "gzdoom"
                                            "irssi"
                                            "gnubg"
                                            "freegish"
                                            "eog"
                                            "qpwgraph"
                                            "libreoffice"
                                            "evince"
                                            "krita"
                                            "kigo"
                                            "keepassxc"
                                            "gedit"
                                            "gimp"
                                            "seahorse"
                                            "pavucontrol"
                                            "guile-chickadee"
                                            "inkscape"
                                            "pipewire"
                                            "gdk-pixbuf-xlib"
                                            "i3status"
                                            "kitty"
                                            "mesa-utils"
                                            "mesa"
                                            "foot"
                                            "i3-wm"
                                            "tumbler"
                                            "gdk-pixbuf"
                                            "mu"
                                            "rust"
                                            "sway"
                                            "rofi-wayland"
                                            "xorg-server-xwayland"
                                            "non-mixer"
                                            "swaybg"
                                            "gnupg"
                                            "wfetch"
                                            "emacs-next-pgtk"
                                            "guile3-dbd-mysql"
                                            "artanis"
                                            "texlive-etbb"
                                            "hyfetch"
                                            "guile3-dbd-sqlite3"
                                            "guile3-dbi"
                                            "surfraw"
                                            "valgrind"
                                            "guile-readline"
                                            "emacs-scel"
                                            "xxd"
                                            "basu"
                                            "icedove-wayland"
                                            "icedove-l10n:sl"
                                            "guile"
                                            "nss-certs"
                                            "glibc-locales")))

  ;; Below is the list of Home services.  To search for available
  ;; services, run 'guix home search KEYWORD' in a terminal.
  (services
   (list (service home-bash-service-type
                  (home-bash-configuration
                   (aliases '(("ls" . "ls --color=auto")))
                   (bashrc (list (local-file "home/.bashrc" "bashrc")))
                   (bash-logout (list (local-file "home/.bash_logout"
                                                  "bash_logout"))))))))
